org.vertx.java.core.eventbus.impl.hazelcast

## Class HazelcastSubsMap

- java.lang.Object
- - org.vertx.java.core.eventbus.impl.hazelcast.HazelcastSubsMap

All Implemented Interfaces:
  com.hazelcast.core.EntryListener<java.lang.String,HazelcastServerID>, java.util.EventListener, SubsMap

    public class HazelcastSubsMap
    extends java.lang.Object
    implements SubsMap, com.hazelcast.core.EntryListener<java.lang.String,HazelcastServerID>

### Constructor Summary

Constructors
Constructor and Description
`HazelcastSubsMap(VertxInternal vertx, com.hazelcast.core.MultiMap<java.lang.String,HazelcastServerID> map)`

### Method Summary

Methods
`void` `entryAdded(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)`
`void` `entryEvicted(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)`
`void` `entryRemoved(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)`
`void` `entryUpdated(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)`
`void` `get(java.lang.String subName, AsyncResultHandler<ServerIDs> completionHandler)`
`void` `put(java.lang.String subName, ServerID serverID, AsyncResultHandler<java.lang.Void> completionHandler)`
`void` `remove(java.lang.String subName, ServerID serverID, AsyncResultHandler<java.lang.Boolean> completionHandler)`
`void` `removeAllForServerID(ServerID serverID, AsyncResultHandler<java.lang.Void> completionHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HazelcastSubsMap

    public HazelcastSubsMap(VertxInternal vertx,
                    com.hazelcast.core.MultiMap<java.lang.String,HazelcastServerID> map)

### Method Detail

#### removeAllForServerID

    public void removeAllForServerID(ServerID serverID,
                            AsyncResultHandler<java.lang.Void> completionHandler)

Specified by:
  `removeAllForServerID` in interface `SubsMap`

#### put

    public void put(java.lang.String subName,
           ServerID serverID,
           AsyncResultHandler<java.lang.Void> completionHandler)

Specified by:
  `put` in interface `SubsMap`

#### get

    public void get(java.lang.String subName,
           AsyncResultHandler<ServerIDs> completionHandler)

Specified by:
  `get` in interface `SubsMap`

#### remove

    public void remove(java.lang.String subName,
              ServerID serverID,
              AsyncResultHandler<java.lang.Boolean> completionHandler)

Specified by:
  `remove` in interface `SubsMap`

#### entryAdded

    public void entryAdded(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)

Specified by:
  `entryAdded` in interface `com.hazelcast.core.EntryListener<java.lang.String,HazelcastServerID>`

#### entryRemoved

    public void entryRemoved(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)

Specified by:
  `entryRemoved` in interface `com.hazelcast.core.EntryListener<java.lang.String,HazelcastServerID>`

#### entryUpdated

    public void entryUpdated(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)

Specified by:
  `entryUpdated` in interface `com.hazelcast.core.EntryListener<java.lang.String,HazelcastServerID>`

#### entryEvicted

    public void entryEvicted(com.hazelcast.core.EntryEvent<java.lang.String,HazelcastServerID> entry)

Specified by:
  `entryEvicted` in interface `com.hazelcast.core.EntryListener<java.lang.String,HazelcastServerID>`